Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class ComplexData

    java.lang.Object
      org.deegree.ogcwebservices.wps.describeprocess.ComplexData

    public class ComplexData

extends Object

ComplexData.java Created on 09.03.2006. 22:40:34h Indicates that this input shall be a complex data structure (such as a GML document), and provides a list of formats and encodings supported for this Input. The value of this ComplexData structure can be input either embedded in the Execute request or remotely accessible to the server. This element also provides a list of formats, encodings, and schemas supported for this output. The client can select from among the identified combinations of formats, encodings, and schemas to specify the form of the output. This allows for complete specification of particular versions of GML, or image formats.

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$

Field Summary
`protected String` | `defaultEncoding` Reference to the default encoding supported for this input or output.
`protected String` | `defaultFormat` Identifier of the default Format supported for this input or output.
`protected String` | `defaultSchema` Reference to the definition of the default XML element or type supported for this input or output.
`protected List<SupportedComplexData>` | `supportedComplexData`

Constructor Summary
`ComplexData(String defaultEncoding, String defaultFormat, String defaultSchema, List<SupportedComplexData> supportedComplexData)`

Method Summary
`String` | `getDefaultEncoding()`
`String` | `getDefaultFormat()`
`String` | `getDefaultSchema()`
`List<SupportedComplexData>` | `getSupportedComplexData()`
`void` | `setDefaultEncoding(String value)`
`void` | `setDefaultFormat(String value)`
`void` | `setDefaultSchema(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### supportedComplexData

    protected List<SupportedComplexData> supportedComplexData

### defaultEncoding

    protected String defaultEncoding

  Reference to the default encoding supported for this input or output. The process will expect input using or produce output using this encoding unless the Execute request specifies another supported encoding. This parameter shall be included when the default Encoding is other than the encoding of the XML response document (e.g. UTF-8). This parameter shall be omitted when there is no Encoding required for this input/output.

### defaultFormat

    protected String defaultFormat

  Identifier of the default Format supported for this input or output. The process shall expect input in or produce output in this Format unless the Execute request specifies another supported Format. This parameter shall be included when the default Format is other than text/XML. This parameter is optional if the Format is text/XML.

### defaultSchema

    protected String defaultSchema

  Reference to the definition of the default XML element or type supported for this input or output. This XML element or type shall be defined in a separate XML Schema Document. The process shall expect input in or produce output conformant with this XML element or type unless the Execute request specifies another supported XML element or type. This parameter shall be omitted when there is no XML Schema associated with this input/output (e.g., a GIF file). This parameter shall be included when this input/output is XML encoded using an XML schema. When included, the input/output shall validate against the referenced XML Schema. Note: If the input/output uses a profile of a larger schema, the server administrator should provide that schema profile for validation purposes.

Constructor Detail

### ComplexData

    public ComplexData(String defaultEncoding,
                       String defaultFormat,
                       String defaultSchema,
                       List<SupportedComplexData> supportedComplexData)

Parameters:
  `defaultEncoding` -
  `defaultFormat` -
  `defaultSchema` -
  `supportedComplexData` -

Method Detail

### getSupportedComplexData

    public List<SupportedComplexData> getSupportedComplexData()

  Returns:
    Returns the supportedComplexData.

### getDefaultEncoding

    public String getDefaultEncoding()

  Returns:
    Returns the defaultEncoding.

### setDefaultEncoding

    public void setDefaultEncoding(String value)

  Parameters:
    `value` - The defaultEncoding to set.

### getDefaultFormat

    public String getDefaultFormat()

  Returns:
    the defaultFormat.

### setDefaultFormat

    public void setDefaultFormat(String value)

  Parameters:
    `value` - The defaultFormat to set.

### getDefaultSchema

    public String getDefaultSchema()

  Returns:
    the defaultSchema.

### setDefaultSchema

    public void setDefaultSchema(String value)

  Parameters:
    `value` - The defaultSchema to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org